Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8145271

stand-alone hotspot build is broken

    Details

    • Subcomponent:
    • Introduced In Build:
      b96
    • Introduced In Version:
      9
    • Resolved In Build:
      b103
    • CPU:
      generic
    • OS:
      generic

      Description

      $ cd hotspot/make
      $ make
      ...
      g++ -DLINUX -D_GNU_SOURCE -DAMD64 -DASSERT -I. -I/home/iklam/jdk/jdk9_rt/hotspot/src/closed/share/vm/prims -I/home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/prims -I/home/iklam/jdk/jdk9_rt/hotspot/src/closed/share/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/share/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/precompiled -I/home/iklam/jdk/jdk9_rt/hotspot/src/closed/cpu/x86/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/cpu/x86/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/os_cpu/linux_x86/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/closed/os/linux/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/os/linux/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/closed/os/posix/vm -I/home/iklam/jdk/jdk9_rt/hotspot/src/os/posix/vm -I../generated -DHOTSPOT_BUILD_USER="\"iklam\"" -DHOTSPOT_LIB_ARCH=\"amd64\" -DHOTSPOT_VM_DISTRO="\"Java HotSpot(TM)\"" -DHOTSPOT_VERSION_STRING="\"9.0.0-internal-internal\"" -DVERSION_STRING="\"9.0.0-internal\"" -DDEBUG_LEVEL="\"\"" -DVERSION_MAJOR= -DVERSION_MINOR= -DVERSION_SECURITY= -DVERSION_PATCH= -DVERSION_BUILD= -DTARGET_OS_FAMILY_linux -DTARGET_ARCH_x86 -DTARGET_ARCH_MODEL_x86_64 -DTARGET_OS_ARCH_linux_x86 -DTARGET_OS_ARCH_MODEL_linux_x86_64 -DTARGET_COMPILER_gcc -DCOMPILER2 -DCOMPILER1 -fPIC -fno-rtti -fno-exceptions -D_REENTRANT -fcheck-new -fvisibility=hidden -m64 -pipe -fno-strict-aliasing -g -fno-omit-frame-pointer -O0 -fstack-protector-all --param ssp-buffer-size=1 -D_NMT_NOINLINE_ -DVM_LITTLE_ENDIAN -D_LP64=1 -Werror -Wpointer-arith -Wsign-compare -Wundef -Wunused-function -Wunused-value -Wformat=2 -Wreturn-type -Woverloaded-virtual -Wtype-limits -Wno-format-zero-length -Wuninitialized -DNO_DYNAMIC_CODE=0 -c -MMD -MP -MF ../generated/dependencies/vm_version.o.d -fpch-deps -o vm_version.o /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp
      /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp:84:59: error: expected primary-expression before \u2018;\u2019 token
       int Abstract_VM_Version::_vm_major_version = VERSION_MAJOR;
                                                                 ^
      /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp:85:59: error: expected primary-expression before \u2018;\u2019 token
       int Abstract_VM_Version::_vm_minor_version = VERSION_MINOR;
                                                                 ^
      /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp:86:65: error: expected primary-expression before \u2018;\u2019 token
       int Abstract_VM_Version::_vm_security_version = VERSION_SECURITY;
                                                                       ^
      /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp:87:59: error: expected primary-expression before \u2018;\u2019 token
       int Abstract_VM_Version::_vm_patch_version = VERSION_PATCH;
                                                                 ^
      /home/iklam/jdk/jdk9_rt/hotspot/src/share/vm/runtime/vm_version.cpp:88:58: error: expected primary-expression before \u2018;\u2019 token
       int Abstract_VM_Version::_vm_build_number = VERSION_BUILD;



        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                iklam Ioi Lam
                Reporter:
                iklam Ioi Lam
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: